libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.60. __nv_double2uint_rn

Prototype:

    i32 @__nv_double2uint_rn(double %d)

Description:

Convert the double-precision floating point value `x` to an unsigned integer value in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes